Subject: Re: [RFC/PATCH] gitweb: Add committags support

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Sep 2006 20:06:44 +0200

Petr Baudis wrote:

> Dear diary, on Sat, Sep 23, 2006 at 03:33:01PM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
>> Petr Baudis wrote:
>> 
>> > Dear diary, on Sat, Sep 23, 2006 at 10:34:49AM CEST, I got a letter
>> > where Jakub Narebski <[email-masked]> said that...
>> 
>> > Also, there is a fundamental limitation for the multi-word patterns that
>> > they won't work if the line wraps at that point in the log message. This
>> > will likely be a problem especially for the msgids, because those are
>> > very long and are very likely to cause a linewrap immediately before.
>> 
>> We do not wrap log messages in gitweb. So the problem is only when
>> commit message is wrongly wrapped itself (pre imples nowrap).
> 
> The commit message is not "wrongly" wrapped but just wrapped to fit into
> 72 or whatever columns. It would be silly to mandate users to use msg-id: <[email-masked]>
> with the message id stretching far away just for the sake of some
> gitweb limitations when having the message wrapped such as msg-id:
> <[email-masked]> looks much more reasonable.

So when putting message if into commit message, just put the commit
message in separate line, perhaps even with some indentation, like
below:
  Msg-Id: <[email-masked]>

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git